Linux之CentOS glibc版本过低安装不了软件

LinuxCentOS大约 984 字

问题

libc.so.6: version `GLIBC_2.14' not found

解决方案

glibc官网下载

  • 查看系统版本
cat /etc/redhat-release
  • 查看glibc版本
strings /lib64/libc.so.6 | grep GLIBC_

输出:

GLIBC_2.2.5
GLIBC_2.2.6
GLIBC_2.3
GLIBC_2.3.2
GLIBC_2.3.3
GLIBC_2.3.4
GLIBC_2.4
GLIBC_2.5
GLIBC_2.6
GLIBC_2.7
GLIBC_2.8
GLIBC_2.9
GLIBC_2.10
GLIBC_2.11
GLIBC_2.12
GLIBC_2.13
GLIBC_PRIVATE

CentOS 6.9,最高支持glibc的版本为2.12

  • 下载glibc-2.14
cd ~
wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz 
tar -xvf  glibc-2.14.tar.gz
  • 编译安装
mkdir glibc-2.14/build
cd glibc-2.14/build
# 如没有/usr/local/glibc-2.14 可先创建 sudo mkdir /usr/local/glibc-2.14
../configure --prefix=/usr/local/glibc-2.14 
# 使用4核cpu make 速度更快
sudo make -j4
sudo make install
  • 修改软链接

如果出现ln: creating symbolic link `/lib64/libc.so.6': File exists表示没有链接成功,加入f强制执行

ln -s /usr/local/glibc-2.14/lib/libc-2.14.so /lib64/libc.so.6
(ln -sf /usr/local/glibc-2.14/lib/libc-2.14.so /lib64/libc.so.6)
  • 通过ls -l /lib64/libc.so.6查询当前链接版本
/lib64/libc.so.6 -> libc-2.14.so
阅读 1400 · 发布于 2019-03-27

————        END        ————

扫描下方二维码关注公众号和小程序↓↓↓

昵称:
随便看看换一批